Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceLockRequest

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV4Request
              com.rsa.ace.techservice.udpserver.AceLockRequest

All Implemented Interfaces:
  AceRequest

    public class AceLockRequest

extends AbstractV4Request
implements AceRequest

This class represents an Ace Lock Request Version 4. (ACM_REQ_LOCK_NAME)

Nested Class Summary

Nested classes/interfaces inherited from class com.rsa.ace.techservice.udpserver.AbstractV4Request
`AbstractV4Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AceLockRequest(AceDatagram pkt)` Creates a new instance of AceLockRequest from a datagram.
`AceLockRequest(java.lang.String strUsername, AgentConfig agentConfig)`

Method Summary
`AceDatagram` | `getPacket()` Provides the original packet received from the agent.
`AceResponse` | `getResponse()` Get an AceResponse from this request.
`int` | `processRequest()` Processes a Lock request.
`java.lang.String` | `toString()` String conversion method.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getProtocolVersion, getSecretKey, getWpCode, haveNodeSecret, haveSecretKey, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getProtocolVersion, getWpCode`

Constructor Detail

### AceLockRequest

    public AceLockRequest(AceDatagram pkt)
                   throws AcePacketException

  Creates a new instance of AceLockRequest from a datagram.

  Parameters:
    `pkt` - The packet used to construct the request.
  Throws:
    `AcePacketException`

### AceLockRequest

    public AceLockRequest(java.lang.String strUsername,
                          AgentConfig agentConfig)
                   throws AcePacketException

Throws:
  `AcePacketException`

Method Detail

### getPacket

    public AceDatagram getPacket()
                          throws AcePacketException

  Provides the original packet received from the agent.

  Specified by:
    `getPacket` in interface `AceRequest`
  Overrides:
    `getPacket` in class `AbstractAceRequest`
  Returns:
    The original input packet.
  Throws:
    `AcePacketException`

### processRequest

    public int processRequest()
                       throws AcePacketException

  Processes a Lock request. This is the actual function to process this type of packet. This always requests the packet to be queued. This constructs the appropriate response based on the passcode verification. NOTE - THIS IS AN INCOMPLETE IMPLEMENTATION.

  Specified by:
    `processRequest` in interface `AceRequest`
  Overrides:
    `processRequest` in class `AbstractAceRequest`
  Returns:
    An AceRequest status providing the disposition of the packet.
  Throws:
    `AcePacketException` - If an exception occurs building the repsonse.

### getResponse

    public AceResponse getResponse()

  Get an AceResponse from this request.

  Specified by:
    `getResponse` in interface `AceRequest`
  Returns:
    An AceResponse with the time.

### toString

    public java.lang.String toString()

  String conversion method.

  Specified by:
    `toString` in interface `AceRequest`
  Overrides:
    `toString` in class `AbstractAceRequest`
  Returns:
    A String representation of the packet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.